yesod-form-1.2.1.3: Form handling support for Yesod Web Framework

Safe Haskell | None

Yesod.Form.Jquery

Description

Some fields spiced up with jQuery UI.

Synopsis

- class YesodJquery a where
  - urlJqueryJs :: a -> Either (Route a) Text
  - urlJqueryUiJs :: a -> Either (Route a) Text
  - urlJqueryUiCss :: a -> Either (Route a) Text
  - urlJqueryUiDateTimePicker :: a -> Either (Route a) Text
- jqueryDayField :: (RenderMessage master FormMessage, YesodJquery master) => JqueryDaySettings -> Field sub master Day
- jqueryAutocompleteField :: (RenderMessage master FormMessage, YesodJquery master) => Route master -> Field sub master Text
- googleHostedJqueryUiCss :: Text -> Text
- data JqueryDaySettings = JqueryDaySettings {
  - jdsChangeMonth :: Bool
  - jdsChangeYear :: Bool
  - jdsYearRange :: String
  - jdsNumberOfMonths :: Either Int (Int, Int)
  }
- class Default a where
  - def :: a

# Documentation

class YesodJquery a where

Methods

urlJqueryJs :: a -> Either (Route a) Text

The jQuery Javascript file. Note that in upgrades to this library, the version of jQuery referenced, or where it is downloaded from, may be changed without warning. If you are relying on a specific version of jQuery, you should give an explicit URL instead of relying on the default value.

Currently, the default value is jQuery 1.7 from Google's CDN.

urlJqueryUiJs :: a -> Either (Route a) Text

The jQuery UI 1.8 Javascript file.

urlJqueryUiCss :: a -> Either (Route a) Text

The jQuery UI 1.8 CSS file; defaults to cupertino theme.

urlJqueryUiDateTimePicker :: a -> Either (Route a) Text

jQuery UI time picker add-on.

jqueryDayField :: (RenderMessage master FormMessage, YesodJquery master) => JqueryDaySettings -> Field sub master Day

jqueryAutocompleteField :: (RenderMessage master FormMessage, YesodJquery master) => Route master -> Field sub master Text

googleHostedJqueryUiCss :: Text -> Text

Gets the Google hosted jQuery UI 1.8 CSS file with the given theme.

data JqueryDaySettings

Constructors

JqueryDaySettings |

Fields

jdsChangeMonth :: Bool
jdsChangeYear :: Bool
jdsYearRange :: String
jdsNumberOfMonths :: Either Int (Int, Int)

Instances

Default JqueryDaySettings |

class Default a where

A class for types with a default value.

Methods

def :: a

The default value for this type.

Instances

Default Double |
Default Float |
Default Int |
Default Int8 |
Default Int16 |
Default Int32 |
Default Int64 |
Default Integer |
Default Ordering |
Default Word |
Default Word8 |
Default Word16 |
Default Word32 |
Default Word64 |
Default () |
Default All |
Default Any |
Default IntSet |
Default TimeLocale |
Default JqueryDaySettings |
Default [a] |
Integral a => Default (Ratio a) |
Default a => Default (IO a) |
Default (Maybe a) |
(Default a, RealFloat a) => Default (Complex a) |
Default a => Default (Dual a) |
Default (Endo a) |
Num a => Default (Sum a) |
Num a => Default (Product a) |
Default (First a) |
Default (Last a) |
Default a => Default (Tree a) |
Default (Seq a) |
Default (IntMap v) |
Default (Set v) |
Default (DList a) |
Default r => Default (e -> r) |
(Default a, Default b) => Default (a, b) |
Default (Map k v) |
(Default a, Default b, Default c) => Default (a, b, c) |
(Default a, Default b, Default c, Default d) => Default (a, b, c, d) |
(Default a, Default b, Default c, Default d, Default e) => Default (a, b, c, d, e) |